Ipelib: PdfView Class Reference

Ipelib

Public Member Functions | List of all members
PdfView Class Reference

`#include <ipepdfview_cocoa.h>`

Inherits ipe::PdfViewBase.

## Public Member Functions
| PdfView (IpePdfView *view)
virtual | ~PdfView ()
void | drawRect (NSRect rect)
Public Member Functions inherited from ipe::PdfViewBase
virtual | ~PdfViewBase ()
void | setPdf (const PdfFile *pdf, Fonts *fonts)
void | setPage (const PdfDict *page, const Rect &paper)
void | setBackground (const Color &bg)
void | setBlackout (bool bo)
Vector | pan () const
double | zoom () const
Vector | center () const
int | viewWidth () const
int | viewHeight () const
bool | blackout () const
Vector | devToUser (const Vector &arg) const
Vector | userToDev (const Vector &arg) const
void | setPan (const Vector &v)
void | setZoom (double zoom)
Matrix | canvasTfm () const
void | updatePdf ()

## Additional Inherited Members
Protected Member Functions inherited from ipe::PdfViewBase
| PdfViewBase ()
void | drawPaper (cairo_t *cc)
void | refreshSurface ()
Protected Attributes inherited from ipe::PdfViewBase
double | iWidth
double | iHeight
double | iBWidth
double | iBHeight
Vector | iPan
double | iZoom
Color | iBackground
bool | iBlackout
bool | iRepaint
cairo_surface_t * | iSurface
std::unique_ptr< Cascade > | iCascade
const PdfDict * | iPage
Rect | iPaperBox
const PdfDict * | iStream
const PdfFile * | iPdf
Fonts * | iFonts

## Constructor & Destructor Documentation

## ◆ PdfView()

PdfView::PdfView | ( | IpePdfView * | view | ) |

## ◆ ~PdfView()

PdfView::~PdfView | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ drawRect()

void PdfView::drawRect | ( | NSRect | rect | ) |

References ipe::PdfViewBase::iBHeight, ipe::PdfViewBase::iBWidth, ipe::PdfViewBase::iHeight, ipe::PdfViewBase::iSurface, ipe::PdfViewBase::iWidth, and ipe::PdfViewBase::refreshSurface().

The documentation for this class was generated from the following files:

- ipepdfview_cocoa.h
- ipepdfview_cocoa.cpp
- ipepdfview_qt.cpp
- ipepdfview_win.cpp